--- ../asterisk-13.18.0/channels/chan_pjsip.c	2017-10-30 16:33:07.000000000 +0100
+++ ../asterisk-13.18.0_mod/channels/chan_pjsip.c	2017-12-02 12:30:52.000000000 +0100
@@ -1326,6 +1326,7 @@
 	int res = 0;
 	char *device_buf;
 	size_t device_buf_size;
+	const char *prog_inband_val;
 
 	switch (condition) {
 	case AST_CONTROL_RINGING:
@@ -1335,6 +1336,14 @@
 				res = -1;
 			} else {
 				response_code = 180;
+
+				prog_inband_val = pbx_builtin_getvar_helper(ast, "PROGRESSINBAND");
+				if (!ast_strlen_zero(prog_inband_val)) {
+					if (prog_inband_val[0]=='1') {
+						response_code = 183;
+						res = -1;
+					}
+				}
 			}
 		} else {
 			res = -1;
